## gate.jape
Interface Matcher

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  PatternElement, LeftHandSide

public interface Matcher
extends Serializable

Interface to be implemented by classes providing matching on documents, e.g. PatternElement and LeftHandSide.

Method Summary
`void` `finish()` Finish: replace dynamic data structures with Java arrays; called after parsing.
`boolean` `matches(Document doc, int position, MutableInteger newPosition)` Does this element match the document at this position?
`void` `reset()` Reset: clear annotation caches etc.

Method Detail

### matches

    public boolean matches(Document doc,
                           int position,
                           MutableInteger newPosition)

  Does this element match the document at this position?

### reset

    public void reset()

  Reset: clear annotation caches etc.

### finish

    public void finish()

  Finish: replace dynamic data structures with Java arrays; called after parsing.